Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1602915 - (CVE-2018-14357) CVE-2018-14357 mutt: Remote Code Execution via backquote characters
CVE-2018-14357 mutt: Remote Code Execution via backquote characters
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20180708,repo...
: Security
Depends On: 1602917 1602916 1606685 1606686 1606687
Blocks: 1602083
  Show dependency treegraph
 
Reported: 2018-07-18 15:51 EDT by Laura Pardo
Modified: 2018-09-18 18:05 EDT (History)
9 users (show)

See Also:
Fixed In Version: mutt 1.10.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-08-20 16:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2526 None None None 2018-08-20 12:00 EDT

  None (edit)
Description Laura Pardo 2018-07-18 15:51:32 EDT
An issue was discovered in Mutt before 1.10.1 and NeoMutt before 2018-07-16. They allow remote IMAP servers to execute arbitrary commands via backquote characters, related to the mailboxes command associated with an automatic subscription.


References:
http://www.mutt.org/news.html

Upstream Patch:
https://gitlab.com/muttmua/mutt/commit/185152818541f5cdc059cbff3f3e8b654fc27c1d
https://github.com/neomutt/neomutt/commit/e52393740334443ae0206cab2d7caef381646725
Comment 1 Laura Pardo 2018-07-18 15:52:00 EDT
Created mutt tracking bugs for this issue:

Affects: fedora-all [bug 1602916]
Comment 4 errata-xmlrpc 2018-08-20 12:00:20 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2018:2526 https://access.redhat.com/errata/RHSA-2018:2526

Note You need to log in before you can comment on or make changes to this bug.